// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_ui_components/src/domain/entities/entities.dart';

class ComponentThemeData {
  const ComponentThemeData.raw({
    this.appBar,
    this.bottomNavigationBar,
    this.errorWidget,
    this.loadingWidget,
    this.loaderComponent,
    this.richTextBuilderComponent,
    this.textInputComponent,
    this.fileSelectionButtonComponent,
    this.flatButtonComponent,
    this.simpleIconButtonComponent,
    this.symbolButtonComponent,
    this.informationCardComponent,
    this.portfolioCardComponent,
    this.quoteCardComponent,
    this.skillCardComponent,
  });
  final AppBarComponent? appBar;
  final BottomNavigationBarComponent? bottomNavigationBar;
  final ErrorWidgetComponent? errorWidget;
  final LoadingWidgetComponent? loadingWidget;
  final LoaderComponent? loaderComponent;

  final RichTextBuilderComponent? richTextBuilderComponent;
  final TextInputComponent? textInputComponent;

  // Buttons
  final FileSelectionButtonComponent? fileSelectionButtonComponent;
  final FlatButtonComponent? flatButtonComponent;
  final SimpleIconButtonComponent? simpleIconButtonComponent;
  final SymbolButtonComponent? symbolButtonComponent;

  // Cards
  final InformationCardComponent? informationCardComponent;
  final PortfolioCardComponent? portfolioCardComponent;
  final QuoteCardComponent? quoteCardComponent;
  final SkillCardComponent? skillCardComponent;
}
